Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1127)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1128)
@@ -201,7 +201,9 @@
 		// parts lexicons
 		List<Lexicon> partsLexicons = new ArrayList<Lexicon>();
 		for (int i = 0; i < partition.getNPart(); i++) {
-			partsLexicons.add(Lexicon.getLexicon(partition.getParts().get(i), this.property, this.monitor));
+			Lexicon l = Lexicon.getLexicon(partition.getParts().get(i), this.property, this.monitor);
+			l.setVisible(false);
+			partsLexicons.add(l);
 		}
 
 		// Corpus global lexicon
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1127)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1128)
@@ -32,6 +32,7 @@
 import java.io.IOException;
 import java.lang.reflect.Constructor;
 import java.util.ArrayList;
+import java.util.Collection;
 import java.util.Date;
 import java.util.HashMap;
 import java.util.List;
@@ -1048,5 +1049,14 @@
 	public String getParametersNodeRootPath()	{
 		return "project/" + this.rcpProject.getName() + "/";
 	}
-	
+
+	public Collection<? extends CorpusBuild> getCorpora() {
+		ArrayList<CorpusBuild> l = new ArrayList<>();
+		for (TXMResult r : getChildren()) {
+			if (r instanceof CorpusBuild) {
+				l.add((CorpusBuild)r);
+			}
+		}
+		return l;
+	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 1127)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 1128)
@@ -30,6 +30,7 @@
 import java.util.ArrayList;
 import java.util.Collections;
 import java.util.Comparator;
+import java.util.List;
 
 import org.eclipse.core.runtime.IAdaptable;
 import org.eclipse.core.runtime.Platform;
@@ -37,6 +38,7 @@
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.txm.core.results.TXMResult;
+import org.txm.objects.CorpusBuild;
 import org.txm.objects.Project;
 import org.txm.objects.Workspace;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -101,32 +103,42 @@
 	 */
 	@Override
 	public Object[] getElements(Object element) {
-//		return element;
-//		
-//		if (element instanceof Workspace) {
-//			ArrayList<MainCorpus> elements = new ArrayList<MainCorpus>();
-//			Workspace p = (Workspace) element;
-//
-//			for (Project b : p.getProjects()) {
-//				for (TXMResult o : b.getChildren(MainCorpus.class)) {
-//					elements.add((MainCorpus)o);
-//				}
-//			}
-//			//System.out.println("get elements: "+elements);
-//			Collections.sort(elements, new Comparator<MainCorpus>() {
-//
-//				@Override
-//				public int compare(MainCorpus o1, MainCorpus o2) {
-//					if (o1 == null) return -1;
-//					if (o2 == null) return 1;
-//					return o1.getName().compareTo(o2.getName());
-//				}
-//			});
-//			//System.out.println("corpora view content: "+elements);
-//			return elements.toArray();
-//		} else 
-			if (element instanceof TXMResult) {
+		//		return element;
+		//		
+		//		if (element instanceof Workspace) {
+		//			ArrayList<MainCorpus> elements = new ArrayList<MainCorpus>();
+		//			Workspace p = (Workspace) element;
+		//
+		//			for (Project b : p.getProjects()) {
+		//				for (TXMResult o : b.getChildren(MainCorpus.class)) {
+		//					elements.add((MainCorpus)o);
+		//				}
+		//			}
+		//			//System.out.println("get elements: "+elements);
+		//			Collections.sort(elements, new Comparator<MainCorpus>() {
+		//
+		//				@Override
+		//				public int compare(MainCorpus o1, MainCorpus o2) {
+		//					if (o1 == null) return -1;
+		//					if (o2 == null) return 1;
+		//					return o1.getName().compareTo(o2.getName());
+		//				}
+		//			});
+		//			//System.out.println("corpora view content: "+elements);
+		//			return elements.toArray();
+		//		} else 
+		if (element instanceof Workspace) {
+			Workspace w = (Workspace)element;
+			ArrayList<CorpusBuild> corpora = new ArrayList<CorpusBuild>();
+			for (Project p : w.getProjects()) {
+				corpora.addAll(p.getCorpora());
+			}
+			return corpora.toArray();
+		} else if (element instanceof TXMResult) {
 			return ((TXMResult)element).getChildren().toArray();
+		} else if (element instanceof List) {
+			List list = (List)element;
+			return list.toArray();
 		}
 		return new Object[0];
 	}
@@ -136,12 +148,12 @@
 	 */
 	@Override
 	public Object getParent(Object element) {
-//		IWorkbenchAdapter adapter = getAdapter(element);
-//		if (adapter != null) {
-//			return adapter.getParent(element);
-//		}
-//		else
-			if (element instanceof TXMResult) {
+		//		IWorkbenchAdapter adapter = getAdapter(element);
+		//		if (adapter != null) {
+		//			return adapter.getParent(element);
+		//		}
+		//		else
+		if (element instanceof TXMResult) {
 			return ((TXMResult)element).getParent();
 		}
 		return null;
